version: 2
models:
  - name: raw_location
    description: '{{ doc("raw_location") }}'
    columns:
      - name: latitudeE7
        description: Latitude in degrees
      - name: longitudeE7
        description: Longitude in degrees
      - name: accuracy
        description: Estimated accuracy of the location reading in meters
      - name: source
        description: Source of the location reading
      - name: timestamp
        description: Time when the reading was taken
        quote: true
        tests:
          - unique
          - not_null
  - name: fact_location
    description: '{{ doc("fact_location") }}'
    columns:
      - name: unique_id
        tests:
          - unique
          - not_null
      - name: mode_city
        description: "{{ doc('mode_city') }}"
        tests:
          - not_null
      - name: location_geo
        description: "{{ doc('location_geo') }}"
      - name: location_at_30min_interval
        description: "{{ doc('location_at_30min_interval') }}"
      - name: location_date_week
        description: "{{ doc('location_date_week') }}"
      - name: rounded_latitude
        description: "{{ doc('rounded_latitude') }}"
      - name: rounded_longitude
        description: "{{ doc('rounded_longitude') }}"
      - name: mode_latitude
        description: "{{ doc('mode_latitude') }}"
      - name: mode_longitude
        description: "{{ doc('mode_longitude') }}"
      - name: range_latitude
        description: "{{ doc('range_latitude') }}"
      - name: range_longitude
        description: "{{ doc('range_longitude') }}"

  - name: location_anchor_ranges
    description: '{{ doc("location_anchor_ranges") }}'
    columns:
      - name: location_date_week
        description: "{{ doc('location_date_week') }}"
        tests:
          - unique
          - not_null
      - name: mode_city
        description: "{{ doc('mode_city') }}"
      - name: mode_latitude
        description: "{{ doc('mode_latitude') }}"
      - name: mode_longitude
        description: "{{ doc('mode_longitude') }}"
      - name: range_latitude
        description: "{{ doc('range_latitude') }}"
      - name: range_longitude
        description: "{{ doc('range_longitude') }}"

  - name: location_geo
    description: '{{ doc("location_geo_model") }}'
    columns:
      - name: unique_id
        tests:
          - unique
          - not_null
      - name: location_geo
        description: "{{ doc('location_geo') }}"
      - name: location_at_30min_interval
        description: "{{ doc('location_at_30min_interval') }}"
      - name: location_date_week
        description: "{{ doc('location_date_week') }}"
      - name: rounded_latitude
        description: "{{ doc('rounded_latitude') }}"
      - name: rounded_longitude
        description: "{{ doc('rounded_longitude') }}"
